package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterqualityHandle;
import com.lightinit.hsdatashow.entity.WaterqualityHandleExample;

import java.math.BigDecimal;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WaterqualityHandleMapper {
    long countByExample(WaterqualityHandleExample example);

    int deleteByExample(WaterqualityHandleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterqualityHandle record);

    int insertSelective(WaterqualityHandle record);

    List<WaterqualityHandle> selectByExample(WaterqualityHandleExample example);

    WaterqualityHandle selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterqualityHandle record, @Param("example") WaterqualityHandleExample example);

    int updateByExample(@Param("record") WaterqualityHandle record, @Param("example") WaterqualityHandleExample example);

    int updateByPrimaryKeySelective(WaterqualityHandle record);

    int updateByPrimaryKey(WaterqualityHandle record);

    BigDecimal getWaterqualityHandle();
}